Docs

Get a subscription

Returns a subscription using its ID.

GET /subscriptions/{subscription_id}

Returns a subscription using its ID.

Use the include parameter to include transaction information in the response.

Requires subscription.read permission.

Path parameters

subscription_idstringrequired
Paddle ID of the subscription entity to work with.

Query parameters

includearray
Include related entities in the response. Use a comma-separated list to specify multiple entities.
Values
  • next_transaction
    Include an object with a preview of the next transaction for this subscription. May include prorated charges that aren't yet billed and one-time charges.
  • recurring_transaction_details
    Include an object with a preview of the recurring transaction for this subscription. This is what the customer can expect to be billed when there are no prorated or one-time charges.

Response (200)

dataobjectrequired
Represents a subscription entity with included entities.
idstringrequired
Example: sub_01h04vsc0qhwtsbsxh3422wjs4
Unique Paddle ID for this subscription entity, prefixed with sub_.
Pattern: ^sub_[a-z\d]{26}$
statusstringrequired
Status of this subscription. Set automatically by Paddle. Use the pause subscription or cancel subscription operations to change.
Values
  • active
    Subscription is active. Paddle is billing for this subscription and related transactions aren't past due.
  • canceled
    Subscription is canceled. Automatically set by Paddle when a subscription is canceled. When a subscription is set to cancel on the next billing period, a scheduled change for the cancellation is created. The subscription status moves to canceled when the scheduled change takes effect.
  • past_due
    Subscription has an overdue payment. Automatically set by Paddle when payment fails for an automatically-collected transaction, or when payment terms have elapsed for a manually-collected transaction (an invoice).
  • paused
    Subscription is paused. Automatically set by Paddle when a subscription is paused. When a subscription is set to pause on the next billing period, a scheduled change for the pause is created. The subscription status moves to paused when the scheduled change takes effect.
  • trialing
    Subscription is in trial.
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID of the customer that this subscription is for, prefixed with ctm_.
Pattern: ^ctm_[a-z\d]{26}$
address_idstringrequired
Example: add_01gm302t81w94gyjpjpqypkzkf
Paddle ID of the address that this subscription is for, prefixed with add_.
Pattern: ^add_[a-z\d]{26}$
business_idstring | nullrequired
Example: biz_01grrebrzaee2qj2fqqhmcyzaj
Unique Paddle ID for this business entity, prefixed with biz_.
Pattern: ^biz_[a-z\d]{26}$
currency_codestringrequired
Supported three-letter ISO 4217 currency code. Transactions for this subscription are created in this currency. Must be USD, EUR, or GBP if collection_mode is manual.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
started_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
first_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
next_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
paused_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
canceled_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
discountobject | nullrequired
Details of the discount applied to this subscription.
idstringrequired
Example: dsc_01gv5kpg05xp104ek2fmgjwttf
Unique Paddle ID for this discount, prefixed with dsc_.
Pattern: ^dsc_[a-z\d]{26}$
starts_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
ends_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
typestringrequired
Whether this discount applies for multiple billing periods.
Values
  • recurring
    Discount applies to multiple billing periods.
  • one-off
    Discount applies to a single billing period only. Returned when a subscription is created in trial with a discount. The discount is removed from the subscription on renewal.
collection_modestringrequired
Default: automatic
How payment is collected for transactions created for this subscription. automatic for checkout, manual for invoices.
Values
  • automatic
    Payment is collected automatically using a checkout initially, then using a payment method on file.
  • manual
    Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires billing_details.
billing_detailsobject | nullrequired
Details for invoicing. Required if collection_mode is manual.
enable_checkoutbooleanrequired
Default: false
Whether the related transaction may be paid using Paddle Checkout. If omitted when creating a transaction, defaults to false.
purchase_order_numberstringrequired
Customer purchase order number. Appears on invoice documents.
Max length: 100
additional_informationstring | nullrequired
Notes or other information to include on this invoice. Appears on invoice documents.
Max length: 1500
payment_termsobjectrequired
How long a customer has to pay this invoice once issued.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
current_billing_periodobject | nullrequired
Current billing period for this subscription. Set automatically by Paddle based on the billing cycle. null for paused and canceled subscriptions.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
billing_cycleobjectrequired
How often this subscription renews. Set automatically by Paddle based on the prices on this subscription.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
scheduled_changeobject | nullrequired
Change that's scheduled to be applied to a subscription. Use the pause subscription, cancel subscription, and resume subscription operations to create scheduled changes. null if no scheduled changes.
actionstringrequired
Kind of change that's scheduled to be applied to this subscription.
Values
  • cancel
    Subscription is scheduled to cancel. Its status changes to canceled on the effective_at date.
  • pause
    Subscription is scheduled to pause. Its status changes to paused on the effective_at date.
  • resume
    Subscription is scheduled to resume. Its status changes to active on the effective_at date.
effective_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this scheduled change takes effect.
resume_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
management_urlsobjectrequired

Customer portal deep links for this subscription.

Authenticated links are only returned when your API key has Customer portal session (Write) permission. For security, the token appended to authenticated links is temporary. You shouldn't store them.

update_payment_methodstring (uri) | nullrequired
Example: https://buyer-portal.paddle.com/subscriptions/sub_01gtewvbsyeqyhtp2vtc2mctq8/update-payment-method?token=
Link to the page for this subscription in the customer portal with the payment method update form pre-opened. Use as part of workflows to let customers update their payment details. null for manually-collected subscriptions.
cancelstring (uri)required
Example: https://buyer-portal.paddle.com/subscriptions/sub_01gtewvbsyeqyhtp2vtc2mctq8/cancel?token=
Link to the page for this subscription in the customer portal with the subscription cancellation form pre-opened. Use as part of cancel subscription workflows.
itemsarrayrequired
List of items on this subscription. Only recurring items are returned.
Items: 1–100
statusstringrequired
Status of this subscription item. Set automatically by Paddle.
Values
  • active
    This item is active. It is not in trial and Paddle bills for it.
  • inactive
    This item is not active. Set when the related subscription is paused.
  • trialing
    This item is in trial. Paddle has not billed for it.
quantitynumberrequired
Quantity of this item on the subscription.
Min: 1
recurringbooleanrequired
Whether this is a recurring item. false if one-time.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this item was added to this subscription.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this item was last updated on this subscription.
previously_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
next_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
trial_datesobject | nullrequired
Trial dates for this item.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
priceobjectrequired
Related price entity for this item. This reflects the price entity at the time it was added to the subscription.
idstringrequired
Example: pri_01gsz8z1q1n00f12qt82y31smh
Unique Paddle ID for this price, prefixed with pri_.
Pattern: ^pri_[a-z\d]{26}$
product_idstringrequired
Example: pro_01gsz97mq9pa4fkyy0wqenepkz
Paddle ID for the product that this price is for, prefixed with pro_.
Pattern: ^pro_[a-z\d]{26}$
descriptionstringrequired
Internal description for this price, not shown to customers. Typically notes for your team.
Length: 2–500
typestringrequired
Default: standard
Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • custom
    Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
  • standard
    Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
namestring | nullrequired
Name of this price, shown to customers at checkout and on invoices. Typically describes how often the related product bills.
Length: 1–150
billing_cycleobject | nullrequired
How often this price should be charged. null if price is non-recurring (one-time).
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
trial_periodobject | nullrequired
Trial period for the product related to this price. The billing cycle begins once the trial period is over. null for no trial period. Requires billing_cycle.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
requires_payment_methodbooleanrequired
Default: true
Whether this price requires a payment method (true) or not (false) when trialing. If false, customers can sign up for subscription without entering their payment details, often referred to as a "cardless trial."
tax_modestringrequired
Default: account_setting
How tax is calculated for this price.
Values
  • account_setting
    Prices use the setting from your account.
  • external
    Prices are exclusive of tax.
  • internal
    Prices are inclusive of tax.
  • location
    Prices are inclusive or exclusive of tax, depending on the country of the transaction.
unit_priceobjectrequired
Base price. This price applies to all customers, except for customers located in countries where you have unit_price_overrides.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
unit_price_overridesarrayrequired
List of unit price overrides. Use to override the base price with a custom price and currency for a country or group of countries.
Items: max 250
country_codesarrayrequired
Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price.
Items: min 1, unique
string
Two-letter ISO 3166-1 alpha-2 representation of a supported country.
unit_priceobjectrequired
Override price. This price applies to customers located in the countries for this unit price override.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
quantityobjectrequired
Example: {"minimum":1,"maximum":100}
Limits on how many times the related product can be purchased at this price. Useful for discount campaigns.
minimumintegerrequired
Default: 1
Example: 1
Minimum quantity of the product related to this price that can be bought. Required if maximum set.
Range: 1–999999999
maximumintegerrequired
Default: 100
Example: 100
Maximum quantity of the product related to this price that can be bought. Required if minimum set. Must be greater than or equal to the minimum value.
Range: 1–999999999
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
productobjectrequired
Related product entity for this item. This reflects the product entity at the time it was added to the subscription.
idstringrequired
Example: pro_01gsz97mq9pa4fkyy0wqenepkz
Unique Paddle ID for this product, prefixed with pro_.
Pattern: ^pro_[a-z\d]{26}$
namestringrequired
Name of this product.
Length: 1–200
descriptionstring | nullrequired
Short description for this product.
Max length: 2048
typestringrequired
Default: standard
Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • custom
    Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
  • standard
    Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
tax_categorystringrequired
Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
Values
  • digital-goods
    Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.
  • ebooks
    Digital books and educational material which is sold with permanent rights for use by the customer.
  • implementation-services
    Remote configuration, set-up, and integrating software on behalf of a customer.
  • professional-services
    Services that involve the application of your expertise and specialized knowledge of a software product.
  • saas
    Products that allow users to connect to and use online or cloud-based applications over the Internet.
+ Show all values
  • software-programming-services
  • standard
    Software products that are pre-written and can be downloaded and installed onto a local device.
  • training-services
    Training and education services related to software products.
  • website-hosting
    Cloud storage service for personal or corporate information, assets, or intellectual property.
image_urlrequired
Image for this product. Included in the checkout and on some customer documents.
Image Url
A URL to an image.
null
Empty String
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for the subscription entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
consent_requirementsarrayrequired
List of active consent requirements for the subscription's current billing period.
idstringrequired
Example: subconreq_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this subscription consent requirement entity, prefixed with subconreq_.
Pattern: ^subconreq_[a-z\d]{26}$
requirementstringrequired
Type of consent required for successful renewal.
Values
  • trial_ending
    Consent required because the trial period is ending.
  • introductory_discount_ending
    Consent required because an initial discount is ending.
statusstringrequired
Status of this consent requirement.
Values
  • pending
    Consent not yet granted. Subscription is canceled on next renewal.
  • granted
    Consent granted. Subscription renews normally.
  • voided
    Consent voided. Consent requirement is no longer applicable, either because the consent is no longer required, or another consent requirement has replaced it.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
consent_periodobject | nullrequired
Period during which consent for this subscription can be granted. null if there is no next_billed_at or the consent requirement does not apply to the current billing period.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
granted_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
voided_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
next_transactionobject | null
Preview of the next transaction for this subscription. May include prorated charges that aren't yet billed and one-time charges. null if the subscription is scheduled to cancel or pause.
billing_periodobjectrequired
Billing period for the next transaction.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
detailsobjectrequired
Calculated totals for a transaction preview, including discounts, tax, and currency conversion. Considered the source of truth for totals on a transaction preview.
tax_rates_usedarrayrequired
List of tax rates applied to this transaction preview.
tax_ratestringrequired
Example: 0.2
Rate used to calculate tax for this transaction preview.
totalsobjectrequired
Calculated totals for the tax applied to this transaction preview.
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
totalsobjectrequired
Breakdown of the total for a transaction preview. fee and earnings always return null for transaction previews.
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
creditstringrequired
Example: 0
Total credit applied to this transaction. This includes credits applied using a customer's credit balance and adjustments to a billed transaction.
credit_to_balancestringrequired
Example: 0
Additional credit generated from negative details.line_items. This credit is added to the customer balance.
balancestringrequired
Example: 16500
Total due on a transaction after credits and any payments.
grand_totalstringrequired
Example: 16500
Total due on a transaction after credits but before any payments.
grand_total_taxstringrequired
Example: 83
Net tax amount included in grand_total. Equals the full tax amount unless credits are applied, in which case this value is proportionally reduced.
feestring | nullrequired
Example: 825
Total fee taken by Paddle for this transaction. null until the transaction is completed and the fee is processed.
earningsstring | nullrequired
Example: 15675
Total earnings for this transaction. This is the total minus the Paddle fee. null until the transaction is completed and the fee is processed.
currency_codestringrequired
Three-letter ISO 4217 currency code of the currency used for this transaction.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
line_itemsarrayrequired
Information about line items for this transaction preview. Different from transaction preview items as they include totals calculated by Paddle. Considered the source of truth for line item totals.
price_idstring | nullrequired
Example: pri_01gsz8z1q1n00f12qt82y31smh
Unique Paddle ID for this price, prefixed with pri_.
Pattern: ^pri_[a-z\d]{26}$
quantityintegerrequired
Quantity of this transaction line item.
tax_ratestringrequired
Example: 0.2
Rate used to calculate tax for this transaction line item.
unit_totalsobjectrequired
Breakdown of the charge for one unit in the lowest denomination of a currency (e.g. cents for USD).
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
totalsobjectrequired
Breakdown of a charge in the lowest denomination of a currency (e.g. cents for USD).
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
productobjectrequired
Related product entity for this transaction line item price.
idstring | nullrequired
Example: pro_01gsz97mq9pa4fkyy0wqenepkz
Unique Paddle ID for this product, prefixed with pro_.
Pattern: ^pro_[a-z\d]{26}$
namestringrequired
Name of this product.
Length: 1–200
descriptionstring | nullrequired
Short description for this product.
Max length: 2048
typestringrequired
Default: standard
Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • custom
    Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
  • standard
    Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
tax_categorystringrequired
Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
Values
  • digital-goods
    Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.
  • ebooks
    Digital books and educational material which is sold with permanent rights for use by the customer.
  • implementation-services
    Remote configuration, set-up, and integrating software on behalf of a customer.
  • professional-services
    Services that involve the application of your expertise and specialized knowledge of a software product.
  • saas
    Products that allow users to connect to and use online or cloud-based applications over the Internet.
+ Show all values
  • software-programming-services
  • standard
    Software products that are pre-written and can be downloaded and installed onto a local device.
  • training-services
    Training and education services related to software products.
  • website-hosting
    Cloud storage service for personal or corporate information, assets, or intellectual property.
image_urlrequired
Image for this product. Included in the checkout and on some customer documents.
Image Url
A URL to an image.
null
Empty String
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
prorationobject | nullrequired
How proration was calculated for this item. Populated when a transaction is created from a subscription change, where proration_billing_mode was prorated_immediately or prorated_next_billing_period. Set automatically by Paddle.
ratestringrequired
Rate used to calculate proration.
billing_periodobjectrequired
Billing period that proration is based on.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
adjustmentsarrayrequired
Preview of adjustments for the next transaction.
transaction_idstringrequired
Example: txn_01h04vsbhqc62t8hmd4z3b578c
Paddle ID for this transaction entity that this adjustment relates to, prefixed with txn_.
Pattern: ^txn_[a-z\d]{26}$
itemsarrayrequired
List of transaction items that this adjustment is for.
Items: max 100
item_idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Paddle ID for the transaction item that this adjustment item relates to, prefixed with txnitm_.
Pattern: ^txnitm_[a-z\d]{26}$
typestringrequired
Example: full
Type of adjustment for this transaction item. tax adjustments are automatically created by Paddle. Include amount when creating a partial adjustment.
Values
  • full
    Full total for this transaction item is adjusted.
  • partial
    Part of this transaction item is adjusted. Include amount to specify the partial amount adjusted.
  • tax
    Tax for this transaction item is adjusted. Created automatically by Paddle.
  • proration
    A prorated amount for this transaction item is adjusted. Created automatically by Paddle in some cases when making changes to a subscription.
amountstring | nullrequired
Amount adjusted for this transaction item. Required when item type is partial.
prorationobject | nullrequired
How proration was calculated for this item. Populated when a transaction is created from a subscription change, where proration_billing_mode was prorated_immediately or prorated_next_billing_period. Set automatically by Paddle.
ratestringrequired
Rate used to calculate proration.
billing_periodobjectrequired
Billing period that proration is based on.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
totalsobjectrequired
Breakdown of the total for an adjustment item.
subtotalstringrequired
Example: 15000
Amount multiplied by quantity.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
totalsobjectrequired
Calculated totals for this adjustment.
subtotalstringrequired
Example: 15000
Total before tax. For tax adjustments, the value is 0.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
feestringrequired
Example: 300
Total fee taken by Paddle for this adjustment.
retained_feestring
Example: 300
Paddle fees retained for this adjustment.
earningsstringrequired
Example: 14700
Total earnings. This is the subtotal minus the Paddle fee. For tax adjustments, this value is negative, which means a positive effect in the transaction earnings. This is because the fee is originally calculated from the transaction total, so if a tax adjustment is made, then the fee portion of it is returned.
currency_codestringrequired
Example: USD
Three-letter ISO 4217 currency code used for this adjustment.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
recurring_transaction_detailsobject
Preview of the recurring transaction for this subscription. This is what the customer can expect to be billed when there are no prorated or one-time charges. Returned when the include parameter is used with the recurring_transaction_details value.
tax_rates_usedarrayrequired
List of tax rates applied to this transaction preview.
tax_ratestringrequired
Example: 0.2
Rate used to calculate tax for this transaction preview.
totalsobjectrequired
Calculated totals for the tax applied to this transaction preview.
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
totalsobjectrequired
Breakdown of the total for a transaction preview. fee and earnings always return null for transaction previews.
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
creditstringrequired
Example: 0
Total credit applied to this transaction. This includes credits applied using a customer's credit balance and adjustments to a billed transaction.
credit_to_balancestringrequired
Example: 0
Additional credit generated from negative details.line_items. This credit is added to the customer balance.
balancestringrequired
Example: 16500
Total due on a transaction after credits and any payments.
grand_totalstringrequired
Example: 16500
Total due on a transaction after credits but before any payments.
grand_total_taxstringrequired
Example: 83
Net tax amount included in grand_total. Equals the full tax amount unless credits are applied, in which case this value is proportionally reduced.
feestring | nullrequired
Example: 825
Total fee taken by Paddle for this transaction. null until the transaction is completed and the fee is processed.
earningsstring | nullrequired
Example: 15675
Total earnings for this transaction. This is the total minus the Paddle fee. null until the transaction is completed and the fee is processed.
currency_codestringrequired
Three-letter ISO 4217 currency code of the currency used for this transaction.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
line_itemsarrayrequired
Information about line items for this transaction preview. Different from transaction preview items as they include totals calculated by Paddle. Considered the source of truth for line item totals.
price_idstring | nullrequired
Example: pri_01gsz8z1q1n00f12qt82y31smh
Unique Paddle ID for this price, prefixed with pri_.
Pattern: ^pri_[a-z\d]{26}$
quantityintegerrequired
Quantity of this transaction line item.
tax_ratestringrequired
Example: 0.2
Rate used to calculate tax for this transaction line item.
unit_totalsobjectrequired
Breakdown of the charge for one unit in the lowest denomination of a currency (e.g. cents for USD).
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
totalsobjectrequired
Breakdown of a charge in the lowest denomination of a currency (e.g. cents for USD).
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
productobjectrequired
Related product entity for this transaction line item price.
idstring | nullrequired
Example: pro_01gsz97mq9pa4fkyy0wqenepkz
Unique Paddle ID for this product, prefixed with pro_.
Pattern: ^pro_[a-z\d]{26}$
namestringrequired
Name of this product.
Length: 1–200
descriptionstring | nullrequired
Short description for this product.
Max length: 2048
typestringrequired
Default: standard
Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • custom
    Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
  • standard
    Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
tax_categorystringrequired
Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
Values
  • digital-goods
    Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.
  • ebooks
    Digital books and educational material which is sold with permanent rights for use by the customer.
  • implementation-services
    Remote configuration, set-up, and integrating software on behalf of a customer.
  • professional-services
    Services that involve the application of your expertise and specialized knowledge of a software product.
  • saas
    Products that allow users to connect to and use online or cloud-based applications over the Internet.
+ Show all values
  • software-programming-services
  • standard
    Software products that are pre-written and can be downloaded and installed onto a local device.
  • training-services
    Training and education services related to software products.
  • website-hosting
    Cloud storage service for personal or corporate information, assets, or intellectual property.
image_urlrequired
Image for this product. Included in the checkout and on some customer documents.
Image Url
A URL to an image.
null
Empty String
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
prorationobject | nullrequired
How proration was calculated for this item. Populated when a transaction is created from a subscription change, where proration_billing_mode was prorated_immediately or prorated_next_billing_period. Set automatically by Paddle.
ratestringrequired
Rate used to calculate proration.
billing_periodobjectrequired
Billing period that proration is based on.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"id": "sub_01hv8y5ehszzq0yv20ttx3166y",
"status": "active",
"customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j",
"address_id": "add_01hv8y4jk511j9g2n9a2mexjbx",
"business_id": null,
"currency_code": "USD",
"created_at": "2024-04-12T10:38:00.761Z",
"updated_at": "2024-04-12T10:38:00.761Z",
"started_at": "2024-04-12T10:37:59.556997Z",
"first_billed_at": "2024-04-12T10:37:59.556997Z",
"next_billed_at": "2024-05-12T10:37:59.556997Z",
"paused_at": null,
"canceled_at": null,
"collection_mode": "automatic",
"billing_details": null,
"current_billing_period": {
"starts_at": "2024-04-12T10:37:59.556997Z",
"ends_at": "2024-05-12T10:37:59.556997Z"
},
"billing_cycle": {
"frequency": 1,
"interval": "month"
},
"scheduled_change": null,
"items": [
{
"status": "active",
"quantity": 10,
"recurring": true,
"created_at": "2024-04-12T10:38:00.761Z",
"updated_at": "2024-04-12T10:38:00.761Z",
"previously_billed_at": "2024-04-12T10:37:59.556997Z",
"next_billed_at": "2024-05-12T10:37:59.556997Z",
"trial_dates": null,
"price": {
"id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
"product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"type": "standard",
"description": "Monthly",
"name": "Monthly (per seat)",
"tax_mode": "account_setting",
"billing_cycle": {
"frequency": 1,
"interval": "month"
},
"trial_period": null,
"unit_price": {
"amount": "3000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"status": "active",
"quantity": {
"minimum": 1,
"maximum": 999
},
"import_meta": null,
"created_at": "2023-02-23T13:55:22.538367Z",
"updated_at": "2024-04-11T13:54:52.254748Z"
},
"product": {
"id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"name": "AeroEdit Pro",
"type": "standard",
"tax_category": "standard",
"description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
"custom_data": {
"features": {
"aircraft_performance": true,
"compliance_monitoring": true,
"flight_log_management": true,
"payment_by_invoice": false,
"route_planning": true,
"sso": false
},
"suggested_addons": [
"pro_01h1vjes1y163xfj1rh1tkfb65",
"pro_01gsz97mq9pa4fkyy0wqenepkz"
],
"upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring."
},
"status": "active",
"import_meta": null,
"created_at": "2023-02-23T12:43:46.605Z",
"updated_at": "2024-04-05T15:53:44.687Z"
}
},
{
"status": "active",
"quantity": 1,
"recurring": true,
"created_at": "2024-04-12T10:38:00.761Z",
"updated_at": "2024-04-12T10:38:00.761Z",
"previously_billed_at": "2024-04-12T10:37:59.556997Z",
"next_billed_at": "2024-05-12T10:37:59.556997Z",
"trial_dates": null,
"price": {
"id": "pri_01h1vjfevh5etwq3rb416a23h2",
"product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"type": "standard",
"description": "Monthly",
"name": "Monthly (recurring addon)",
"tax_mode": "account_setting",
"billing_cycle": {
"frequency": 1,
"interval": "month"
},
"trial_period": null,
"unit_price": {
"amount": "10000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"status": "active",
"quantity": {
"minimum": 1,
"maximum": 100
},
"import_meta": null,
"created_at": "2023-06-01T13:31:12.625056Z",
"updated_at": "2024-04-09T07:23:00.907834Z"
},
"product": {
"id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"name": "Analytics addon",
"type": "standard",
"tax_category": "standard",
"description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png",
"custom_data": null,
"status": "active",
"import_meta": null,
"created_at": "2023-06-01T13:30:50.302Z",
"updated_at": "2024-04-05T15:47:17.163Z"
}
}
],
"custom_data": null,
"management_urls": {
"update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8y5ehszzq0yv20ttx3166y/update-payment-method",
"cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8y5ehszzq0yv20ttx3166y/cancel"
},
"discount": null,
"import_meta": null,
"consent_requirements": []
},
"meta": {
"request_id": "e9ce8070-295a-4c8b-9180-7ab58dc31072"
}
}

Was this page helpful?